function a=readmatrix(fid, m, n);
% read a data matrix (m by n) from a file    
% Example  out =readmatrix(fid, 10, 4)

a = fscanf(fid,'%g',[m  n]);
% The next two steps are required since MATLAB reads the data in column major format
% and fscanf reads data in row major format
a = reshape(a,n,m);
a=a';
return
